Subject: Re: Performance issue: initial git clone causes massive repack

From: Sam Vilain <[email-masked]>
Date: Thu, 23 Apr 2009 10:01:46 +1200

Nicolas Pitre wrote:
>> Now that the GSoC projects have been announced I can give you the good
>> news that one of our two projects is to optimise this stage in
>> git-daemon; I'm hoping we can get it down to being almost as cheap as
>> the workaround you described in your post. I'll certainly be using your
>> repository as a test case :-)
>
> Please keep me in the loop as much as possible. I'd prefer we're not in
> disagreement over the implementation only after final patches are posted
> to the list.

Thanks Nico, given your close working knowledge of the pack-objects
code this will be very much appreciated. Perhaps you can first help
out by telling me what you have to say about moving object enumeration
from upload-pack to pack-objects?

Cheers!
Sam.